Subject: Re: gitk layout bug

From: Johannes Sixt <[email-masked]>
Date: Mon, 21 Jan 2008 11:13:33 +0100

Paul Mackerras schrieb:
> Linus Torvalds writes:
> 
>> In the current git repository, try this:
>>
>> 	gitk origin/master..origin/pu
>>
>> and it starts out looking ok.
>>
>> But then scroll down a bit (say, press "PageDown" ten to twenty times), 
>> and scroll up again, and now that thing is totally unusable.
>>
>> Is it just me?
> 
> No, I have seen it occasionally (though not recently), but I've never
> been able to trigger it when I had some time to debug it. :/
> 
> I'd be interested to know if you can trigger it with the "dev" branch
> of gitk, too.  The dev branch doesn't use --topo-order or
> --date-order, but instead does the topological sort itself, so the
> cold-cache case is a lot faster (and the hot-cache case goes just as
> fast as before).  And because I can now reorder the commits, I can put
> each open-circle commit just after the last merge that has it as a
> parent, which ends up looking much nicer too.

The dev branch is fine in this regard. In fact, this is the primary reason
why I'm using it.

BTW, there are still a few layout glitches, in particular, when F5
(Update) is used after frequent rebase/cherry-pick/commit/--amend. I'll
bug you once I know how to reproduce them.

-- Hannes